Problem compiling 6.8.1 extralibs

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem compiling 6.8.1 extralibs

Alexis Hazell
Hi all,

i'm having some difficulties compiling the 6.8.1 extralibs on a Mandriva
2007.0 box. Despite happy 1.15 being installed (with the happy binary
in /usr/bin/), i get the following error:

        Preprocessing library haskell-src-1.0.1.1...
        Setup: The program happy is required but it could not be found
        make[1]: *** [haskell-src/GNUmakefile] Error 1
        make[1]: Leaving directory `/usr/src/ghc-6.8.1/libraries'
        make: *** [stage1] Error 2
        Command exited with non-zero status 2

Any suggestions as to how to fix this would be greatly appreciated. :-)


Alexis.
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

RE: Problem compiling 6.8.1 extralibs

sethk
Run:

        ghc-pkg list

See what it thinks about the status of happy.

-----Original Message-----
From: [hidden email]
[mailto:[hidden email]] On Behalf Of Alexis
Hazell
Sent: Wednesday, November 07, 2007 9:02 AM
To: [hidden email]
Subject: Problem compiling 6.8.1 extralibs

Hi all,

i'm having some difficulties compiling the 6.8.1 extralibs on a Mandriva
2007.0 box. Despite happy 1.15 being installed (with the happy binary
in /usr/bin/), i get the following error:

        Preprocessing library haskell-src-1.0.1.1...
        Setup: The program happy is required but it could not be found
        make[1]: *** [haskell-src/GNUmakefile] Error 1
        make[1]: Leaving directory `/usr/src/ghc-6.8.1/libraries'
        make: *** [stage1] Error 2
        Command exited with non-zero status 2

Any suggestions as to how to fix this would be greatly appreciated. :-)


Alexis.
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

RE: Problem compiling 6.8.1 extralibs

Duncan Coutts
On Wed, 2007-11-07 at 11:50 -0500, Seth Kurtzberg wrote:
> Run:
>
> ghc-pkg list
>
> See what it thinks about the status of happy.

happy is a program. ghc-pkg doesn't know about it.

> i'm having some difficulties compiling the 6.8.1 extralibs on a Mandriva
> 2007.0 box. Despite happy 1.15 being installed (with the happy binary
> in /usr/bin/), i get the following error:
>
> Preprocessing library haskell-src-1.0.1.1...
> Setup: The program happy is required but it could not be found
> make[1]: *** [haskell-src/GNUmakefile] Error 1
> make[1]: Leaving directory `/usr/src/ghc-6.8.1/libraries'
> make: *** [stage1] Error 2
> Command exited with non-zero status 2
>
> Any suggestions as to how to fix this would be greatly appreciated. :-)

Install happy from
http://hackage.haskell.org/cgi-bin/hackage-scripts/package/happy-1.17

Note that happy 1.17 needs Cabal-1.2 and 1.16 needs Cabal-1.1.6.

Alternatively, don't build the extralibs at the same time as ghc and
install just the ones you need individually later. They're all available
on hackage.

Duncan
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem compiling 6.8.1 extralibs

Alexis Hazell
On Thursday 08 November 2007 04:41, Duncan Coutts wrote:

> Install happy from
> http://hackage.haskell.org/cgi-bin/hackage-scripts/package/happy-1.17
>
> Note that happy 1.17 needs Cabal-1.2 and 1.16 needs Cabal-1.1.6.

Ah, that would be the problem then . . . . i'm upgrading from GHC 6.4.2, and
so have Cabal 1.1.4. Perhaps the relevant configure script should check to
see not only if happy is installed, but whether it's a recent enough version?

> Alternatively, don't build the extralibs at the same time as ghc and
> install just the ones you need individually later. They're all available
> on hackage.

*nod* That looks like my best option, at least until i install Mandriva 2008,
which will presumably include more recent versions of GHC etc. . . . .

Thanks for your help!


Alexis.
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users